Package com.xebialabs.xlrelease.configuration

## Enum ThemeColor

- java.lang.Object
- - java.lang.Enum<ThemeColor>
  - - com.xebialabs.xlrelease.configuration.ThemeColor

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ThemeColor>`

      public enum ThemeColor
      extends java.lang.Enum<ThemeColor>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BLUE` |
    `GRAY` |
    `GREEN` |
    `ORANGE` |
    `PURPLE` |
    `RED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ThemeColor` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ThemeColor[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLUE

          public static final ThemeColor BLUE

    - #### GREEN

          public static final ThemeColor GREEN

    - #### RED

          public static final ThemeColor RED

    - #### ORANGE

          public static final ThemeColor ORANGE

    - #### GRAY

          public static final ThemeColor GRAY

    - #### PURPLE

          public static final ThemeColor PURPLE

  - ### Method Detail

    - #### values

          public static ThemeColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ThemeColor c : ThemeColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ThemeColor valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null